package com.zyc.system.service.impl;

import java.util.List;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import com.zyc.system.mapper.EGovernmentNetworkMapper;
import com.zyc.system.domain.EGovernmentNetwork;
import com.zyc.system.service.IEGovernmentNetworkService;

/**
 * 电子政务网Service业务层处理
 * 
 * @author zyc
 * @date 2024-12-26
 */
@Service
public class EGovernmentNetworkServiceImpl implements IEGovernmentNetworkService 
{
    @Autowired
    private EGovernmentNetworkMapper eGovernmentNetworkMapper;

    /**
     * 查询电子政务网
     * 
     * @param id 电子政务网主键
     * @return 电子政务网
     */
    @Override
    public EGovernmentNetwork selectEGovernmentNetworkById(Integer id)
    {
        return eGovernmentNetworkMapper.selectEGovernmentNetworkById(id);
    }

    /**
     * 查询电子政务网列表
     * 
     * @param eGovernmentNetwork 电子政务网
     * @return 电子政务网
     */
    @Override
    public List<EGovernmentNetwork> selectEGovernmentNetworkList(EGovernmentNetwork eGovernmentNetwork)
    {
        return eGovernmentNetworkMapper.selectEGovernmentNetworkList(eGovernmentNetwork);
    }

    /**
     * 新增电子政务网
     * 
     * @param eGovernmentNetwork 电子政务网
     * @return 结果
     */
    @Override
    public int insertEGovernmentNetwork(EGovernmentNetwork eGovernmentNetwork)
    {
        return eGovernmentNetworkMapper.insertEGovernmentNetwork(eGovernmentNetwork);
    }

    /**
     * 修改电子政务网
     * 
     * @param eGovernmentNetwork 电子政务网
     * @return 结果
     */
    @Override
    public int updateEGovernmentNetwork(EGovernmentNetwork eGovernmentNetwork)
    {
        return eGovernmentNetworkMapper.updateEGovernmentNetwork(eGovernmentNetwork);
    }

    /**
     * 批量删除电子政务网
     * 
     * @param ids 需要删除的电子政务网主键
     * @return 结果
     */
    @Override
    public int deleteEGovernmentNetworkByIds(Integer[] ids)
    {
        return eGovernmentNetworkMapper.deleteEGovernmentNetworkByIds(ids);
    }

    /**
     * 删除电子政务网信息
     * 
     * @param id 电子政务网主键
     * @return 结果
     */
    @Override
    public int deleteEGovernmentNetworkById(Integer id)
    {
        return eGovernmentNetworkMapper.deleteEGovernmentNetworkById(id);
    }
}
